#!/bin/bash
#-----------------------------------------------------------------------------
echo -e "\n$0" called with "$@"

declare OWN_DIR=$(dirname "$0")
declare CONFIG_SCRIPT_DIR=$(dirname "$1")
declare -x PLIST_VAR_PREFIX="TINYURL_"
# variables in config that content should be preserved
declare -x -a VAR_NAMES=(\
    #"SERVICES"  DON'T! This one is static, readonly
    "SELECTED_SERVICE"\
    "LOG_LEVEL"\
    "USE_SYSLOG"\
    "CONFIRM_SUCCESS"\
    "CONFIRM_ONLY_FAILURE"\
)

source "${OWN_DIR}/helperscripts.sh"

update_config "$@"

# include the updated config via service helpers (and therefore update/create the defaults if missing)
source "${OWN_DIR}/../Scripts/"tinyurlhelpers
# Force update of SERVICES and it's defaults pair TINYURL_SERVICES
echo "${SERVICES}" > /dev/null
#-----------------------------------------------------------------------------
